> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfolt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a SADAD payment

> Creates a draft SADAD bill payment that requires approval before execution



## OpenAPI

````yaml https://dfolt.com/openapi.json post /v1/sadad
openapi: 3.1.0
info:
  description: Dfolt B2B banking API
  title: Dfolt
  version: 0.0.1
servers:
  - url: https://api.dfolt.com
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v1/sadad:
    post:
      tags:
        - SADAD
      summary: Create a SADAD payment
      description: >-
        Creates a draft SADAD bill payment that requires approval before
        execution
      operationId: createSadad
      parameters:
        - description: Response format
          in: header
          name: Accept
          required: true
          schema:
            default: application/json
            enum:
              - application/json
            type: string
        - description: Idempotency key, alphanumeric
          in: header
          name: X-Idempotency-Key
          schema:
            maxLength: 50
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/interfaces_api.CreateSadadReq'
              summary: request
              description: SADAD payment details
        description: SADAD payment details
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/data'
                properties:
                  data: {}
                  debug_id:
                    type: string
                type: object
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/acore_internal_application_x.ErrResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/acore_internal_application_x.ErrResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/acore_internal_application_x.ErrResponse'
          description: Forbidden
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/acore_internal_application_x.ErrResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/acore_internal_application_x.ErrResponse'
          description: Internal Server Error
      security:
        - APIKey: []
components:
  schemas:
    interfaces_api.CreateSadadReq:
      properties:
        amount:
          type: number
        bill_category:
          type: integer
        biller_code:
          type: string
        connection_id:
          type: string
        currency:
          type: string
        pay_exact_due:
          type: boolean
        subscriber_num:
          maxLength: 30
          type: string
      required:
        - amount
        - bill_category
        - biller_code
        - connection_id
        - currency
        - subscriber_num
      type: object
    data:
      properties:
        data:
          $ref: '#/components/schemas/interfaces_api.VAResp'
      type: object
    acore_internal_application_x.ErrResponse:
      properties:
        code:
          type: integer
        debug_id:
          type: string
        error:
          type: boolean
        fields:
          additionalProperties:
            type: string
          type: object
        message:
          type: string
      type: object
    interfaces_api.VAResp:
      properties:
        connection_id:
          type: string
        created_at:
          type: string
        currency:
          type: string
        iban:
          type: string
        id:
          type: string
        max_amount:
          type: string
        reference_id:
          type: string
        remitter_id:
          type: string
        remitter_name:
          type: string
        status:
          type: string
      type: object
  securitySchemes:
    APIKey:
      in: header
      name: X-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.